Search conversations
curl --request GET \
--url https://api.runaether.dev/v1/tasks/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.runaether.dev/v1/tasks/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.runaether.dev/v1/tasks/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"conversation_turn_id": "<string>",
"message_id": "<string>",
"score": 123,
"snippet": [
{
"highlighted": true,
"text": "<string>"
}
],
"task": {
"agent_type": "codex",
"auto_fix_ci": true,
"auto_fix_pr_comments": true,
"auto_rebase": true,
"base_branch": "<string>",
"campaign": {
"active_descendants": 1,
"attention": "error",
"descendants_merged": 1,
"descendants_total": 2
},
"created_at": "<string>",
"creator_reauth_required": true,
"display_status": "running",
"feed_updated_at": "<string>",
"github_status": "approved",
"hardware": {
"cpu_kind": "shared",
"cpus": 8,
"gpu_kind": "a10",
"memory_mb": 16512,
"volume_size_gb": 250
},
"id": "<string>",
"interaction_mode": "default",
"latest_message_revision": 4503599627370495,
"model": "<string>",
"name": "<string>",
"parent_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post_pr_demo_video": true,
"post_pr_screenshots": true,
"pr_review_summary": {
"comment_count": 1,
"pull_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_count": 2,
"run_status": "reviewing",
"severity_counts": {
"confirmed": 1,
"nit": 1,
"p1": 1,
"p2": 1,
"question": 1
},
"summary_severity": "p1",
"verdict": "APPROVE"
},
"primary_pull_request": {
"additions": 1,
"checks_failed": 1,
"checks_passed": 1,
"checks_total": 1,
"commits": 1,
"deletions": 1,
"html_url": "<string>",
"lines_changed": 1,
"pr_number": 2,
"pull_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"branch_name": "<string>",
"ci_status": "pending",
"merged_at": "<string>",
"state": "open"
},
"project": {
"installation_id": 4503599627370496,
"name": "<string>",
"repo_url": "<string>",
"state": "active"
},
"project_id": "<string>",
"pull_requests": [
{
"additions": 1,
"checks_failed": 1,
"checks_passed": 1,
"checks_total": 1,
"commits": 1,
"deletions": 1,
"html_url": "<string>",
"lines_changed": 1,
"pr_number": 2,
"pull_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"branch_name": "<string>",
"ci_status": "pending",
"merged_at": "<string>",
"state": "open"
}
],
"review_subject_pull_request": {
"additions": 1,
"checks_failed": 1,
"checks_passed": 1,
"checks_total": 1,
"commits": 1,
"deletions": 1,
"html_url": "<string>",
"lines_changed": 1,
"pr_number": 2,
"pull_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_trigger": "automatic",
"title": "<string>",
"branch_name": "<string>",
"ci_status": "pending",
"merged_at": "<string>",
"origin_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_check_conclusion": "success",
"state": "open"
},
"run_context": {
"started_at": "<string>",
"workspace_id": "<string>"
},
"runtime_timing": {
"state": "inactive"
},
"source": "manual",
"status": "queued",
"usage": {
"tokens_in": 4503599627370495,
"tokens_out": 4503599627370495,
"vm_uptime_seconds": 1
},
"user_id": "<string>",
"archived_at": "<string>",
"head_branch": "<string>",
"last_error": "<string>",
"latest_status_message": "<string>",
"latest_status_source": "<string>",
"pinned_at": "<string>",
"plan_progress": {
"completed": 1,
"total": 2,
"current_step": "<string>"
},
"pr_review_mode": "review_only",
"reasoning_effort": "ultra",
"slash_commands": [
{
"description": "<string>",
"name": "<string>",
"input": {
"hint": "<string>"
}
}
],
"source_metadata": {}
}
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"code": "org_membership_required",
"error": "<string>"
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}Tasks
Search conversations
GET
/
tasks
/
search
Search conversations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required string length:
1 - 256Required range:
1 <= x <= 50Response
OK
Show child attributes
Show child attributes